package com.tofly.xrtygis.custom.service;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.tofly.xrtygis.custom.entity.CustomDutyroster;
import com.tofly.xrtygis.custom.entity.CustomRxKnowledge;
import com.tofly.xrtygis.custom.entity.gs.GsBean;
import com.tofly.xrtygis.custom.entity.gs.Jbgl;
import com.tofly.xrtygis.entity.*;
import org.springframework.web.multipart.MultipartFile;

import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;
import java.util.Date;
import java.util.List;

/**
 * @author FlashWJL
 * @date 2021/3/23 16:36
 */
public interface CustomGsService {
    boolean dutymanager(GsBean gsBean);

    List<Dutyroster> getDuty(CustomDutyroster dutyroster);

    List<Dutyroster> dutyMonth(Date month, Long user);

    boolean removeById(Long id);

    boolean addHandOver(Rxjbgl jbgl, HttpServletRequest request);

    IPage<Rxjbgl> getHandOver(Page page, HttpServletResponse response, Jbgl jbgl, String templateFlag);

    boolean updateHandOver(Rxjbgl jbgl);

    boolean updateHandOverTwo(Rxjbgl jbgl);

    boolean addKnowledge(Rxknowledge rxknowledge, HttpServletRequest request);

    List<CustomRxKnowledge> getKnowledge();

    boolean delKnowledge(Long id);

    boolean updateKnowledge(Rxknowledge rxknowledge, HttpServletRequest request);

    boolean addProlem(Rxwtgl wtgl, HttpServletRequest request);

    /**
     * 回复问题
     * @param wtgl 问题管理
     * @return boolean
     */
    boolean replyProlem(Rxwtgl wtgl);

    List<Rxknowledge> getKnowledgeByTitle(String title);

    IPage getProblem(Rxwtgl wtgl, Page page);

    /*HttpServletRequest request*/
    boolean updateProblem(Rxwtgl wtgl,Long pid);

    boolean delKnowledgePic(Long id, String filePath);


    boolean gradeTemplate(Gardetemplate gardetemplate);

    Gardetemplate getGradeTemplate();


    boolean importDutyManagerInfo(MultipartFile file);

    void importDuty(MultipartFile file, String sheetName);
}
